Bug 1202756 - diptrace pcb won't run since update to wine-1.7.38-2
Summary: diptrace pcb won't run since update to wine-1.7.38-2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-17 12:02 UTC by dalefarm
Modified: 2015-04-05 14:30 UTC (History)
4 users (show)

Fixed In Version: wine-1.7.39-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-05 14:30:01 UTC
Type: Bug


Attachments (Terms of Use)

Description dalefarm 2015-03-17 12:02:08 UTC
Description of problem:
DipTrace Pcb.exe won't launch since updating from wine-1.7.36-2 to wine-1.7.38-2


Version-Release number of selected component (if applicable):
fedora21 on x86_64
kernel 3.18.7-200.fc21.x86_64
wine-1.7.38-2
DipTrace 2.4 freeware (from http://diptrace.com/download-diptrace/)


How reproducible:
always



Steps to Reproduce:
1. install wine-1.7.38-2
2. install DipTrace suite
3. attempt to run the DipTrace Pcb.exe



Actual results:
 (with winedbg) -

> winedbg ./Pcb.exe

Unhandled exception: 0x0eedfade, invalid program stack in 32-bit code (0x7b83d38b).
Register dump:
CS:0023 SS:002b DS:002b ES:002b FS:0063 GS:006b
EIP:7b83d38b ESP:0036e964 EBP:0036e9e8 EFLAGS:00000202( - -- I - - - )
EAX:7b8274c5 EBX:7b8c5000 ECX:00000000 EDX:7b83d310
ESI:0036ea28 EDI:0036e9ac
Stack dump:
0x0036e964: 016298f8 0036eaa8 7bca7ee0 00000006
0x0036e974: 00000ffe 00007000 0eedfade 00000009
0x0036e984: 00000000 7b83d38b 00000007 01635ac6
0x0036e994: 01960980 01634ec4 0036ea58 00000000
0x0036e9a4: 0036eaf8 0036ea28 00000024 0163255a
0x0036e9b4: 0036e9f4 01632583 0163258a 0036ea10
Backtrace:
=>0 0x7b83d38b in kernel32 (+0x2d38b) (0x0036e9e8)
1 0x01635ac6 in router (+0x5e5ac5) (0x0036eaf8)
2 0x0163628c in router (+0x5e628b) (0x0036fb20)
3 0x01636237 in router (+0x5e6236) (0x0036fb2c)
4 0x01637089 in router (+0x5e7088) (0x0036fb64)
5 0x01637559 in router (+0x5e7558) (0x0036fcf8)
6 0x01637655 in router (+0x5e7654) (0x0036fd24)
7 0x016334cd in router (+0x5e34cc) (0x01635760)
8 0x73736563 (0x63414510)


Expected results:
 Pcb editor should launch fine



Additional info:
 Was working fine with wine-1.7.36-2
 Other DipTrace programs in suite are working fine - Schematic, Component Editor, Pattern Editor
 DipTrace 32 and 64 bit installs exhibit same problem

Comment 1 Michael Cronenworth 2015-03-17 20:18:15 UTC
Could you create an upstream bug report at https://bugs.wine-staging.com/ and link the bug number?

Comment 2 dalefarm 2015-03-18 10:29:38 UTC
created upstream bug 173 :

https://bugs.wine-staging.com/show_bug.cgi?id=173

Comment 3 Fedora Update System 2015-03-24 14:57:22 UTC
wine-1.7.39-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/wine-1.7.39-1.fc21

Comment 4 Fedora Update System 2015-03-26 21:48:18 UTC
Package wine-1.7.39-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wine-1.7.39-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4593/wine-1.7.39-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-04-05 14:30:01 UTC
wine-1.7.39-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.